> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Runway Aleph

> Runway's Gen-4 Aleph model for advanced video-to-video transformation



## OpenAPI

````yaml https://api.krea.ai/openapi.json post /generate/video/runway/aleph
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /generate/video/runway/aleph:
    post:
      tags:
        - Video
      summary: Runway Aleph
      description: Runway's Gen-4 Aleph model for advanced video-to-video transformation
      parameters:
        - name: X-Webhook-URL
          in: header
          required: false
          schema:
            type: string
            format: uri
          description: >-
            URL to receive a POST request when the job completes. The webhook
            will receive the job data including results.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                  maxLength: 1000
                init_video:
                  type: string
                  format: uri
                init_image_url:
                  type: string
                  format: uri
                references:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        const: image
                      uri:
                        type: string
                        format: uri
                    required:
                      - type
                      - uri
                  maxItems: 1
                ratio:
                  type: string
                  enum:
                    - '1280:720'
                    - '720:1280'
                    - '1104:832'
                    - '960:960'
                    - '832:1104'
                    - '1584:672'
                    - '848:480'
                    - '640:480'
                  default: '1280:720'
                seed:
                  type: number
                  minimum: 0
                  maximum: 4294967295
              required:
                - prompt
                - init_video
              additionalProperties: false
            example:
              prompt: >-
                Post-apocalyptic desert town, traders on mechanical beasts, in a
                gritty, survival anime style.
              init_video: >-
                https://gen.krea.ai/images/0424f602-2999-4d0c-a46e-39cbf0ef384b.png
      responses:
        '200':
          description: >-
            The resulting job data. This will be returned in a pending state
            until the job is completed. See
            [`/jobs/{id}`](#tag/default/get/jobs/{id}) for retrieving the
            results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    format: uuid
                  status:
                    type: string
                    enum:
                      - backlogged
                      - queued
                      - scheduled
                      - processing
                      - sampling
                      - intermediate-complete
                      - completed
                      - failed
                      - cancelled
                  created_at:
                    type: string
                    format: date-time
                  completed_at:
                    type: 'null'
                  result:
                    type: 'null'
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                required:
                  - job_id
                  - status
                  - created_at
                  - completed_at
                  - result
        '400':
          description: The request body is invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '401':
          description: You are not authenticated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '402':
          description: You have run out of credits.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '429':
          description: You have reached the maximum number of concurrent jobs.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````